Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.util
Class SafeRunnable

    java.lang.Object
      org.eclipse.jface.util.SafeRunnable

All Implemented Interfaces:
  ISafeRunnable

public abstract class SafeRunnable
extends Object
implements ISafeRunnable

Implements a default implementation of ISafeRunnable. The default implementation of `handleException` opens a message dialog.

Note: This class can open an error dialog and should not be used outside of the UI Thread.

Constructor Summary
`SafeRunnable()` Creates a new instance of SafeRunnable with a default error message.
`SafeRunnable(String message)` Creates a new instance of SafeRunnable with the given error message.

Method Summary
`static boolean` | `getIgnoreErrors()` Flag to avoid interactive error dialogs during automated testing.
`static boolean` | `getIgnoreErrors(boolean flag)` Deprecated. use getIgnoreErrors()
`void` | `handleException(Throwable e)` Handles an exception thrown by this runnable's `run` method.
`static void` | `setIgnoreErrors(boolean flag)` Flag to avoid interactive error dialogs during automated testing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.ISafeRunnable
`run`

Constructor Detail

### SafeRunnable

    public SafeRunnable()

  Creates a new instance of SafeRunnable with a default error message.

### SafeRunnable

    public SafeRunnable(String message)

  Creates a new instance of SafeRunnable with the given error message.

Parameters:
  `message` - the error message to use

Method Detail

### handleException

    public void handleException(Throwable e)

  Description copied from interface: `ISafeRunnable`
  Handles an exception thrown by this runnable's `run` method. The processing done here should be specific to the particular usecase for this runnable. Generalized exception processing (e.g., logging in the platform's log) is done by the Platform's run mechanism.

  Specified by:
    `handleException` in interface `ISafeRunnable`
  Parameters:
    `e` - an exception which occurred during processing the body of this runnable (i.e., in `run()`)
  See Also:
    `Platform.run(ISafeRunnable)`

### getIgnoreErrors

    public static boolean getIgnoreErrors(boolean flag)

  Deprecated. use getIgnoreErrors()

  Flag to avoid interactive error dialogs during automated testing.

### getIgnoreErrors

    public static boolean getIgnoreErrors()

  Flag to avoid interactive error dialogs during automated testing.

  Since:
    3.0

### setIgnoreErrors

    public static void setIgnoreErrors(boolean flag)

  Flag to avoid interactive error dialogs during automated testing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.